!
! ********************************************************************
! *                                                                  *
! *  Copyright 2001 Compaq Computer Corporation                      *
! *                                                                  *
! *  COMPAQ Registered in U.S. Patent and Trademark Office.          *
! *                                                                  *
! *  Confidential computer software. Valid license from Compaq or    *
! *  authorized sublicensor required for possession, use or copying. *
! *  Consistent with FAR 12.211 and 12.212, Commercial Computer      *
! *  Software, Computer Software Documentation, and Technical Data   *
! *  for Commercial Items are licensed to the U.S. Government under  *
! *  vendor's standard commercial license.                           *
! *                                                                  *
! ********************************************************************
!
!DEC$ IF .NOT. DEFINED (GDI32_ )
!DEC$ DEFINE xGDI32_  
!
!
!
!         *****GDI32.LIB Interfaces*****
! 
!     This module defines routine interfaces to the Windows APIs
!     for both the 32-bit (_M_IX86) and 64-bit (_M_IA64) versions of the
!     NT4 and WIN2000 operating systems.  
!
!     The base for this version is: 
!
!           Microsoft Platform Software Development Kit (SDK)
!                Win64 Pre-alpha February 2000
!
!     As with the C header files distributed with the SDK, there
!     is only one common set of files for both 64-bit and 32-bit
!     operating systems.
!   
!     Within the Fortran versions of the header files, the
!     following symbols are used to control the compilation.
! 
!     _M_IA64 conditionally compiles items for 64 bit systems.
!     _M_IX86 conditionally compiles items for 32 bit systesm.
!
!     Known problems: 
!
!07-12-00
!
module gdi32
use dfwinty
!DEC$OBJCOMMENT LIB:"GDI32.LIB"
!
    INTERFACE 
    FUNCTION AddFontResource( &
            arg1)
    USE DFWINTY
      integer(SINT) :: AddFontResource ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'AddFontResourceA' :: AddFontResource
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      character*(*) arg1 ! LPCSTR arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION AnimatePalette( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: AnimatePalette ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'AnimatePalette' :: AnimatePalette
      integer(HANDLE) arg1 ! HPALETTE arg1
      integer(UINT) arg2 ! UINT arg2
      integer(UINT) arg3 ! UINT arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_PALETTEENTRY)  arg4 ! PALETTEENTRY*  arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$Arc( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7, &
            arg8, &
            arg9)
    USE DFWINTY
      integer(BOOL) :: MSFWIN$Arc ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'Arc' :: MSFWIN$Arc
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
      integer(SINT) arg6 ! int arg6
      integer(SINT) arg7 ! int arg7
      integer(SINT) arg8 ! int arg8
      integer(SINT) arg9 ! int arg9
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION BitBlt( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7, &
            arg8, &
            arg9)
    USE DFWINTY
      integer(BOOL) :: BitBlt ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'BitBlt' :: BitBlt
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
      integer(HANDLE) arg6 ! HDC arg6
      integer(SINT) arg7 ! int arg7
      integer(SINT) arg8 ! int arg8
      integer(DWORD) arg9 ! DWORD arg9
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CancelDC( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: CancelDC ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CancelDC' :: CancelDC
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION Chord( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7, &
            arg8, &
            arg9)
    USE DFWINTY
      integer(BOOL) :: Chord ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'Chord' :: Chord
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
      integer(SINT) arg6 ! int arg6
      integer(SINT) arg7 ! int arg7
      integer(SINT) arg8 ! int arg8
      integer(SINT) arg9 ! int arg9
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ChoosePixelFormat( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: ChoosePixelFormat ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ChoosePixelFormat' :: ChoosePixelFormat
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_PIXELFORMATDESCRIPTOR)  arg2 ! PIXELFORMATDESCRIPTOR*  arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CloseMetaFile( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CloseMetaFile ! HMETAFILE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CloseMetaFile' :: CloseMetaFile
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CombineRgn( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(SINT) :: CombineRgn ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CombineRgn' :: CombineRgn
      integer(HANDLE) arg1 ! HRGN arg1
      integer(HANDLE) arg2 ! HRGN arg2
      integer(HANDLE) arg3 ! HRGN arg3
      integer(SINT) arg4 ! int arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CopyMetaFile( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(HANDLE) :: CopyMetaFile ! HMETAFILE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CopyMetaFileA' :: CopyMetaFile
      integer(HANDLE) arg1 ! HMETAFILE arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPCSTR arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateBitmap( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(HANDLE) :: CreateBitmap ! HBITMAP
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateBitmap' :: CreateBitmap
      integer(SINT) arg1 ! int arg1
      integer(SINT) arg2 ! int arg2
      integer(UINT) arg3 ! UINT arg3
      integer(UINT) arg4 ! UINT arg4
      integer(PVOID)  arg5 ! void*  arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateBitmapIndirect( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CreateBitmapIndirect ! HBITMAP
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateBitmapIndirect' :: CreateBitmapIndirect
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_BITMAP)  arg1 ! BITMAP*  arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateBrushIndirect( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CreateBrushIndirect ! HBRUSH
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateBrushIndirect' :: CreateBrushIndirect
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_LOGBRUSH)  arg1 ! LOGBRUSH*  arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateCompatibleBitmap( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(HANDLE) :: CreateCompatibleBitmap ! HBITMAP
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateCompatibleBitmap' :: CreateCompatibleBitmap
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateDiscardableBitmap( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(HANDLE) :: CreateDiscardableBitmap ! HBITMAP
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateDiscardableBitmap' :: CreateDiscardableBitmap
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateCompatibleDC( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CreateCompatibleDC ! HDC
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateCompatibleDC' :: CreateCompatibleDC
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateDC( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(HANDLE) :: CreateDC ! HDC
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateDCA' :: CreateDC
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      character*(*) arg1 ! LPCSTR arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPCSTR arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      character*(*) arg3 ! LPCSTR arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_DEVMODE)  arg4 ! DEVMODEA*  arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateDIBitmap( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6)
    USE DFWINTY
      integer(HANDLE) :: CreateDIBitmap ! HBITMAP
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateDIBitmap' :: CreateDIBitmap
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: arg2
      TYPE (T_BITMAPINFOHEADER)  arg2 ! BITMAPINFOHEADER*  arg2
      integer(DWORD) arg3 ! DWORD arg3
      integer(PVOID)  arg4 ! void*  arg4
    !DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: arg5
      TYPE (T_BITMAPINFO)  arg5 ! BITMAPINFO*  arg5
      integer(UINT) arg6 ! UINT arg6
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateDIBPatternBrush( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(HANDLE) :: CreateDIBPatternBrush ! HBRUSH
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateDIBPatternBrush' :: CreateDIBPatternBrush
      integer(HANDLE) arg1 ! HGLOBAL arg1
      integer(UINT) arg2 ! UINT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateDIBPatternBrushPt( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(HANDLE) :: CreateDIBPatternBrushPt ! HBRUSH
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateDIBPatternBrushPt' :: CreateDIBPatternBrushPt
      integer(PVOID)  arg1 ! void*  arg1
      integer(UINT) arg2 ! UINT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateEllipticRgn( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(HANDLE) :: CreateEllipticRgn ! HRGN
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateEllipticRgn' :: CreateEllipticRgn
      integer(SINT) arg1 ! int arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateEllipticRgnIndirect( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CreateEllipticRgnIndirect ! HRGN
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateEllipticRgnIndirect' :: CreateEllipticRgnIndirect
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_RECT)  arg1 ! RECT*  arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateFontIndirect( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CreateFontIndirect ! HFONT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateFontIndirectA' :: CreateFontIndirect
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_LOGFONT)  arg1 ! LOGFONTA*  arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateFont( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7, &
            arg8, &
            arg9, &
            arg10, &
            arg11, &
            arg12, &
            arg13, &
            arg14)
    USE DFWINTY
      integer(HANDLE) :: CreateFont ! HFONT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateFontA' :: CreateFont
      integer(SINT) arg1 ! int arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
      integer(DWORD) arg6 ! DWORD arg6
      integer(DWORD) arg7 ! DWORD arg7
      integer(DWORD) arg8 ! DWORD arg8
      integer(DWORD) arg9 ! DWORD arg9
      integer(DWORD) arg10 ! DWORD arg10
      integer(DWORD) arg11 ! DWORD arg11
      integer(DWORD) arg12 ! DWORD arg12
      integer(DWORD) arg13 ! DWORD arg13
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg14
      character*(*) arg14 ! LPCSTR arg14
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateHatchBrush( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(HANDLE) :: CreateHatchBrush ! HBRUSH
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateHatchBrush' :: CreateHatchBrush
      integer(SINT) arg1 ! int arg1
      integer(ULONG) arg2 ! COLORREF arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateIC( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(HANDLE) :: CreateIC ! HDC
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateICA' :: CreateIC
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      character*(*) arg1 ! LPCSTR arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPCSTR arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      character*(*) arg3 ! LPCSTR arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_DEVMODE)  arg4 ! DEVMODEA*  arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateMetaFile( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CreateMetaFile ! HDC
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateMetaFileA' :: CreateMetaFile
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      character*(*) arg1 ! LPCSTR arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreatePalette( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CreatePalette ! HPALETTE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreatePalette' :: CreatePalette
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_LOGPALETTE)  arg1 ! LOGPALETTE*  arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreatePen( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(HANDLE) :: CreatePen ! HPEN
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreatePen' :: CreatePen
      integer(SINT) arg1 ! int arg1
      integer(SINT) arg2 ! int arg2
      integer(ULONG) arg3 ! COLORREF arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreatePenIndirect( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CreatePenIndirect ! HPEN
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreatePenIndirect' :: CreatePenIndirect
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_LOGPEN)  arg1 ! LOGPEN*  arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreatePolyPolygonRgn( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(HANDLE) :: CreatePolyPolygonRgn ! HRGN
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreatePolyPolygonRgn' :: CreatePolyPolygonRgn
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_POINT)  arg1 ! POINT*  arg1
      integer(LPINT)  arg2 ! INT*  arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreatePatternBrush( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CreatePatternBrush ! HBRUSH
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreatePatternBrush' :: CreatePatternBrush
      integer(HANDLE) arg1 ! HBITMAP arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateRectRgn( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(HANDLE) :: CreateRectRgn ! HRGN
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateRectRgn' :: CreateRectRgn
      integer(SINT) arg1 ! int arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateRectRgnIndirect( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CreateRectRgnIndirect ! HRGN
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateRectRgnIndirect' :: CreateRectRgnIndirect
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_RECT)  arg1 ! RECT*  arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateRoundRectRgn( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6)
    USE DFWINTY
      integer(HANDLE) :: CreateRoundRectRgn ! HRGN
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateRoundRectRgn' :: CreateRoundRectRgn
      integer(SINT) arg1 ! int arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
      integer(SINT) arg6 ! int arg6
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateScalableFontResource( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: CreateScalableFontResource ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateScalableFontResourceA' :: CreateScalableFontResource
      integer(DWORD) arg1 ! DWORD arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPCSTR arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      character*(*) arg3 ! LPCSTR arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      character*(*) arg4 ! LPCSTR arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateSolidBrush( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CreateSolidBrush ! HBRUSH
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateSolidBrush' :: CreateSolidBrush
      integer(ULONG) arg1 ! COLORREF arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION DeleteDC( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: DeleteDC ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DeleteDC' :: DeleteDC
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION DeleteMetaFile( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: DeleteMetaFile ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DeleteMetaFile' :: DeleteMetaFile
      integer(HANDLE) arg1 ! HMETAFILE arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION DeleteObject( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: DeleteObject ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DeleteObject' :: DeleteObject
    !DxExCx$ ATTRIBUTES REFERENCE, IGNORE_LOC :: arg1
      integer(HANDLE) arg1 ! HGDIOBJ arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION DescribePixelFormat( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(SINT) :: DescribePixelFormat ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DescribePixelFormat' :: DescribePixelFormat
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(UINT) arg3 ! UINT arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_PIXELFORMATDESCRIPTOR) arg4 ! LPPIXELFORMATDESCRIPTOR arg4
     END FUNCTION
    END INTERFACE
    INTERFACE DrawEscape
    FUNCTION DrawEscape_G1( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(SINT) :: DrawEscape_G1 ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawEscape' :: DrawEscape_G1
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      character*(*) arg4 ! LPCSTR arg4
     END FUNCTION
    FUNCTION DrawEscape_G2( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(SINT) :: DrawEscape_G2 ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DrawEscape' :: DrawEscape_G2
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(LPVOID) arg4 ! LPCSTR arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$Ellipse( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(BOOL) :: MSFWIN$Ellipse ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'Ellipse' :: MSFWIN$Ellipse
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION EnumFontFamiliesEx( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(SINT) :: EnumFontFamiliesEx ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumFontFamiliesExA' :: EnumFontFamiliesEx
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_LOGFONT) arg2 ! LPLOGFONTA arg2
      integer(LPVOID) arg3 ! FONTENUMPROCA arg3
      integer(LONG_PTR) arg4 ! LPARAM arg4
      integer(DWORD) arg5 ! DWORD arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION EnumFontFamilies( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(SINT) :: EnumFontFamilies ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumFontFamiliesA' :: EnumFontFamilies
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPCSTR arg2
      integer(LPVOID) arg3 ! FONTENUMPROCA arg3
      integer(LONG_PTR) arg4 ! LPARAM arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION EnumFonts( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(SINT) :: EnumFonts ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumFontsA' :: EnumFonts
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPCSTR arg2
      integer(LPVOID) arg3 ! FONTENUMPROCA arg3
      integer(LONG_PTR) arg4 ! LPARAM arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION EnumObjects( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(SINT) :: EnumObjects ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumObjects' :: EnumObjects
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(LPVOID) arg3 ! GOBJENUMPROC arg3
      integer(LONG_PTR) arg4 ! LPARAM arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION EqualRgn( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: EqualRgn ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EqualRgn' :: EqualRgn
      integer(HANDLE) arg1 ! HRGN arg1
      integer(HANDLE) arg2 ! HRGN arg2
     END FUNCTION
    END INTERFACE
    INTERFACE Escape
    FUNCTION Escape_G1( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(SINT) :: Escape_G1 ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'Escape' :: Escape_G1
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      character*(*) arg4 ! LPCSTR arg4
      integer(LPVOID) arg5 ! LPVOID arg5
     END FUNCTION
    FUNCTION Escape_G2( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(SINT) :: Escape_G2 ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'Escape' :: Escape_G2
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(LPVOID) arg4 ! LPCSTR arg4
      integer(LPVOID) arg5 ! LPVOID arg5
     END FUNCTION
    END INTERFACE
    INTERFACE ExtEscape
    FUNCTION ExtEscape_G1( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6)
    USE DFWINTY
      integer(SINT) :: ExtEscape_G1 ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ExtEscape' :: ExtEscape_G1
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      character*(*) arg4 ! LPCSTR arg4
      integer(SINT) arg5 ! int arg5
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg6
      character*(*) arg6 ! LPSTR arg6
     END FUNCTION
    FUNCTION ExtEscape_G2( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6)
    USE DFWINTY
      integer(SINT) :: ExtEscape_G2 ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ExtEscape' :: ExtEscape_G2
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(LPVOID) arg4 ! LPCSTR arg4
      integer(SINT) arg5 ! int arg5
      integer(LPVOID) arg6 ! LPSTR arg6
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ExcludeClipRect( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(SINT) :: ExcludeClipRect ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ExcludeClipRect' :: ExcludeClipRect
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ExtCreateRegion( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(HANDLE) :: ExtCreateRegion ! HRGN
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ExtCreateRegion' :: ExtCreateRegion
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_XFORM)  arg1 ! XFORM*  arg1
      integer(DWORD) arg2 ! DWORD arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      TYPE (T_RGNDAT)  arg3 ! RGNDATA*  arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ExtFloodFill( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(BOOL) :: ExtFloodFill ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ExtFloodFill' :: ExtFloodFill
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(ULONG) arg4 ! COLORREF arg4
      integer(UINT) arg5 ! UINT arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION FillRgn( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: FillRgn ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FillRgn' :: FillRgn
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HRGN arg2
      integer(HANDLE) arg3 ! HBRUSH arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$FloodFill( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: MSFWIN$FloodFill ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FloodFill' :: MSFWIN$FloodFill
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(ULONG) arg4 ! COLORREF arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION FrameRgn( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(BOOL) :: FrameRgn ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FrameRgn' :: FrameRgn
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HRGN arg2
      integer(HANDLE) arg3 ! HBRUSH arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetROP2( &
            arg1)
    USE DFWINTY
      integer(SINT) :: GetROP2 ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetROP2' :: GetROP2
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetAspectRatioFilterEx( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetAspectRatioFilterEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetAspectRatioFilterEx' :: GetAspectRatioFilterEx
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_SIZE) arg2 ! LPSIZE arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$GetBkColor( &
            arg1)
    USE DFWINTY
      integer(ULONG) :: MSFWIN$GetBkColor ! COLORREF
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetBkColor' :: MSFWIN$GetBkColor
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetBkMode( &
            arg1)
    USE DFWINTY
      integer(SINT) :: GetBkMode ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetBkMode' :: GetBkMode
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetBitmapBits( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(LONG) :: GetBitmapBits ! LONG
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetBitmapBits' :: GetBitmapBits
      integer(HANDLE) arg1 ! HBITMAP arg1
      integer(LONG) arg2 ! LONG arg2
      integer(LPVOID) arg3 ! LPVOID arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetBitmapDimensionEx( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetBitmapDimensionEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetBitmapDimensionEx' :: GetBitmapDimensionEx
      integer(HANDLE) arg1 ! HBITMAP arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_SIZE) arg2 ! LPSIZE arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetBoundsRect( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(UINT) :: GetBoundsRect ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetBoundsRect' :: GetBoundsRect
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_RECT) arg2 ! LPRECT arg2
      integer(UINT) arg3 ! UINT arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetBrushOrgEx( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetBrushOrgEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetBrushOrgEx' :: GetBrushOrgEx
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT) arg2 ! LPPOINT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetCharWidth( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: GetCharWidth ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCharWidthA' :: GetCharWidth
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
      integer(UINT) arg3 ! UINT arg3
      integer(LPINT) arg4 ! LPINT arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetCharWidth32( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: GetCharWidth32 ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCharWidth32A' :: GetCharWidth32
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
      integer(UINT) arg3 ! UINT arg3
      integer(LPINT) arg4 ! LPINT arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetCharWidthFloat( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: GetCharWidthFloat ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCharWidthFloatA' :: GetCharWidthFloat
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
      integer(UINT) arg3 ! UINT arg3
    !DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC :: arg4
      real(SFLOAT) arg4 ! PFLOAT arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetCharABCWidths( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: GetCharABCWidths ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCharABCWidthsA' :: GetCharABCWidths
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
      integer(UINT) arg3 ! UINT arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_ABC) arg4 ! LPABC arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetCharABCWidthsFloat( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: GetCharABCWidthsFloat ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCharABCWidthsFloatA' :: GetCharABCWidthsFloat
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
      integer(UINT) arg3 ! UINT arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_ABCFLOAT) arg4 ! LPABCFLOAT arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetClipBox( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: GetClipBox ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClipBox' :: GetClipBox
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_RECT) arg2 ! LPRECT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetClipRgn( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: GetClipRgn ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetClipRgn' :: GetClipRgn
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HRGN arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetMetaRgn( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: GetMetaRgn ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMetaRgn' :: GetMetaRgn
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HRGN arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetCurrentObject( &
            arg1, &
            arg2)
    USE DFWINTY
     integer(LPVOID):: GetCurrentObject ! HGDIOBJ
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCurrentObject' :: GetCurrentObject
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetCurrentPositionEx( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetCurrentPositionEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCurrentPositionEx' :: GetCurrentPositionEx
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT) arg2 ! LPPOINT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetDeviceCaps( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: GetDeviceCaps ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDeviceCaps' :: GetDeviceCaps
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetDIBits( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7)
    USE DFWINTY
      integer(SINT) :: GetDIBits ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDIBits' :: GetDIBits
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HBITMAP arg2
      integer(UINT) arg3 ! UINT arg3
      integer(UINT) arg4 ! UINT arg4
      integer(LPVOID) arg5 ! LPVOID arg5
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg6
      TYPE (T_BITMAPINFO) arg6 ! LPBITMAPINFO arg6
      integer(UINT) arg7 ! UINT arg7
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetFontData( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(DWORD) :: GetFontData ! DWORD
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetFontData' :: GetFontData
      integer(HANDLE) arg1 ! HDC arg1
      integer(DWORD) arg2 ! DWORD arg2
      integer(DWORD) arg3 ! DWORD arg3
      integer(LPVOID) arg4 ! LPVOID arg4
      integer(DWORD) arg5 ! DWORD arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetGlyphOutline( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7)
    USE DFWINTY
      integer(DWORD) :: GetGlyphOutline ! DWORD
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetGlyphOutlineA' :: GetGlyphOutline
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
      integer(UINT) arg3 ! UINT arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_GLYPHMETRICS) arg4 ! LPGLYPHMETRICS arg4
      integer(DWORD) arg5 ! DWORD arg5
      integer(LPVOID) arg6 ! LPVOID arg6
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg7
      TYPE (T_MAT2)  arg7 ! MAT2*  arg7
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetGraphicsMode( &
            arg1)
    USE DFWINTY
      integer(SINT) :: GetGraphicsMode ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetGraphicsMode' :: GetGraphicsMode
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetMapMode( &
            arg1)
    USE DFWINTY
      integer(SINT) :: GetMapMode ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMapMode' :: GetMapMode
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetMetaFileBitsEx( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(UINT) :: GetMetaFileBitsEx ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMetaFileBitsEx' :: GetMetaFileBitsEx
      integer(HANDLE) arg1 ! HMETAFILE arg1
      integer(UINT) arg2 ! UINT arg2
      integer(LPVOID) arg3 ! LPVOID arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetMetaFile( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: GetMetaFile ! HMETAFILE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMetaFileA' :: GetMetaFile
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      character*(*) arg1 ! LPCSTR arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetNearestColor( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(ULONG) :: GetNearestColor ! COLORREF
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetNearestColor' :: GetNearestColor
      integer(HANDLE) arg1 ! HDC arg1
      integer(ULONG) arg2 ! COLORREF arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetNearestPaletteIndex( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(UINT) :: GetNearestPaletteIndex ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetNearestPaletteIndex' :: GetNearestPaletteIndex
      integer(HANDLE) arg1 ! HPALETTE arg1
      integer(ULONG) arg2 ! COLORREF arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetObjectType( &
            h)
    USE DFWINTY
      integer(DWORD) :: GetObjectType ! DWORD
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetObjectType' :: GetObjectType
    !DxExCx$ ATTRIBUTES REFERENCE, IGNORE_LOC :: h
      integer(HANDLE) h ! HGDIOBJ h
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetOutlineTextMetrics( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(UINT) :: GetOutlineTextMetrics ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetOutlineTextMetricsA' :: GetOutlineTextMetrics
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      TYPE (T_OUTLINETEXTMETRIC) arg3 ! LPOUTLINETEXTMETRICA arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetPaletteEntries( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(UINT) :: GetPaletteEntries ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetPaletteEntries' :: GetPaletteEntries
      integer(HANDLE) arg1 ! HPALETTE arg1
      integer(UINT) arg2 ! UINT arg2
      integer(UINT) arg3 ! UINT arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_PALETTEENTRY) arg4 ! LPPALETTEENTRY arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$GetPixel( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(ULONG) :: MSFWIN$GetPixel ! COLORREF
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetPixel' :: MSFWIN$GetPixel
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetPixelFormat( &
            arg1)
    USE DFWINTY
      integer(SINT) :: GetPixelFormat ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetPixelFormat' :: GetPixelFormat
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetPolyFillMode( &
            arg1)
    USE DFWINTY
      integer(SINT) :: GetPolyFillMode ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetPolyFillMode' :: GetPolyFillMode
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetRasterizerCaps( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetRasterizerCaps ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetRasterizerCaps' :: GetRasterizerCaps
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_RASTERIZER_STATUS) arg1 ! LPRASTERIZER_STATUS arg1
      integer(UINT) arg2 ! UINT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetRandomRgn( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(SINT) :: GetRandomRgn ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetRandomRgn' :: GetRandomRgn
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HRGN arg2
      integer(SINT) arg3 ! INT arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetRegionData( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(DWORD) :: GetRegionData ! DWORD
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetRegionData' :: GetRegionData
      integer(HANDLE) arg1 ! HRGN arg1
      integer(DWORD) arg2 ! DWORD arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      TYPE (T_RGNDAT) arg3 ! LPRGNDATA arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetRgnBox( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: GetRgnBox ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetRgnBox' :: GetRgnBox
      integer(HANDLE) arg1 ! HRGN arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_RECT) arg2 ! LPRECT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetStockObject( &
            arg1)
    USE DFWINTY
     integer(LPVOID):: GetStockObject ! HGDIOBJ
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetStockObject' :: GetStockObject
      integer(SINT) arg1 ! int arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetStretchBltMode( &
            arg1)
    USE DFWINTY
      integer(SINT) :: GetStretchBltMode ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetStretchBltMode' :: GetStretchBltMode
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetSystemPaletteEntries( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(UINT) :: GetSystemPaletteEntries ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetSystemPaletteEntries' :: GetSystemPaletteEntries
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
      integer(UINT) arg3 ! UINT arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_PALETTEENTRY) arg4 ! LPPALETTEENTRY arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetSystemPaletteUse( &
            arg1)
    USE DFWINTY
      integer(UINT) :: GetSystemPaletteUse ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetSystemPaletteUse' :: GetSystemPaletteUse
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetTextCharacterExtra( &
            arg1)
    USE DFWINTY
      integer(SINT) :: GetTextCharacterExtra ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetTextCharacterExtra' :: GetTextCharacterExtra
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetTextAlign( &
            arg1)
    USE DFWINTY
      integer(UINT) :: GetTextAlign ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetTextAlign' :: GetTextAlign
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$GetTextColor( &
            arg1)
    USE DFWINTY
      integer(ULONG) :: MSFWIN$GetTextColor ! COLORREF
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetTextColor' :: MSFWIN$GetTextColor
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetTextExtentPoint( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: GetTextExtentPoint ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetTextExtentPointA' :: GetTextExtentPoint
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPCSTR arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_SIZE) arg4 ! LPSIZE arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetTextExtentPoint32( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: GetTextExtentPoint32 ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetTextExtentPoint32A' :: GetTextExtentPoint32
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPCSTR arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_SIZE) arg4 ! LPSIZE arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetTextExtentExPoint( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7)
    USE DFWINTY
      integer(BOOL) :: GetTextExtentExPoint ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetTextExtentExPointA' :: GetTextExtentExPoint
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPCSTR arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(LPINT) arg5 ! LPINT arg5
      integer(LPINT) arg6 ! LPINT arg6
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg7
      TYPE (T_SIZE) arg7 ! LPSIZE arg7
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetTextCharset( &
            hdc)
    USE DFWINTY
      integer(SINT) :: GetTextCharset ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetTextCharset' :: GetTextCharset
      integer(HANDLE) hdc ! HDC hdc
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetTextCharsetInfo( &
            hdc, &
            lpSig, &
            dwFlags)
    USE DFWINTY
      integer(SINT) :: GetTextCharsetInfo ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetTextCharsetInfo' :: GetTextCharsetInfo
      integer(HANDLE) hdc ! HDC hdc
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpSig
      TYPE (T_FONTSIGNATURE) lpSig ! LPFONTSIGNATURE lpSig
      integer(DWORD) dwFlags ! DWORD dwFlags
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION TranslateCharsetInfo( &
            lpSrc, &
            lpCs, &
            dwFlags)
    USE DFWINTY
      integer(BOOL) :: TranslateCharsetInfo ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'TranslateCharsetInfo' :: TranslateCharsetInfo
      integer(LPDWORD) lpSrc ! DWORD* lpSrc
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: lpCs
      TYPE (T_CHARSETINFO) lpCs ! LPCHARSETINFO lpCs
      integer(DWORD) dwFlags ! DWORD dwFlags
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetFontLanguageInfo( &
            arg1)
    USE DFWINTY
      integer(DWORD) :: GetFontLanguageInfo ! DWORD
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetFontLanguageInfo' :: GetFontLanguageInfo
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetCharacterPlacement( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6)
    USE DFWINTY
      integer(DWORD) :: GetCharacterPlacement ! DWORD
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetCharacterPlacementA' :: GetCharacterPlacement
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPCSTR arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg5
      TYPE (T_GCP_RESULTS) arg5 ! LPGCP_RESULTSA arg5
      integer(DWORD) arg6 ! DWORD arg6
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetViewportExtEx( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetViewportExtEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetViewportExtEx' :: GetViewportExtEx
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_SIZE) arg2 ! LPSIZE arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetViewportOrgEx( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetViewportOrgEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetViewportOrgEx' :: GetViewportOrgEx
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT) arg2 ! LPPOINT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetWindowExtEx( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetWindowExtEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowExtEx' :: GetWindowExtEx
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_SIZE) arg2 ! LPSIZE arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetWindowOrgEx( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetWindowOrgEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWindowOrgEx' :: GetWindowOrgEx
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT) arg2 ! LPPOINT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION IntersectClipRect( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(SINT) :: IntersectClipRect ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'IntersectClipRect' :: IntersectClipRect
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION InvertRgn( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: InvertRgn ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'InvertRgn' :: InvertRgn
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HRGN arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION LineDD( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6)
    USE DFWINTY
      integer(BOOL) :: LineDD ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LineDDA' :: LineDD
      integer(SINT) arg1 ! int arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(LPVOID) arg5 ! LINEDDAPROC arg5
      integer(LONG_PTR) arg6 ! LPARAM arg6
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$LineTo( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: MSFWIN$LineTo ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LineTo' :: MSFWIN$LineTo
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MaskBlt( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7, &
            arg8, &
            arg9, &
            arg10, &
            arg11, &
            arg12)
    USE DFWINTY
      integer(BOOL) :: MaskBlt ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MaskBlt' :: MaskBlt
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
      integer(HANDLE) arg6 ! HDC arg6
      integer(SINT) arg7 ! int arg7
      integer(SINT) arg8 ! int arg8
      integer(HANDLE) arg9 ! HBITMAP arg9
      integer(SINT) arg10 ! int arg10
      integer(SINT) arg11 ! int arg11
      integer(DWORD) arg12 ! DWORD arg12
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PlgBlt( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7, &
            arg8, &
            arg9, &
            arg10)
    USE DFWINTY
      integer(BOOL) :: PlgBlt ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PlgBlt' :: PlgBlt
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT)  arg2 ! POINT*  arg2
      integer(HANDLE) arg3 ! HDC arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
      integer(SINT) arg6 ! int arg6
      integer(SINT) arg7 ! int arg7
      integer(HANDLE) arg8 ! HBITMAP arg8
      integer(SINT) arg9 ! int arg9
      integer(SINT) arg10 ! int arg10
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION OffsetClipRgn( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(SINT) :: OffsetClipRgn ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'OffsetClipRgn' :: OffsetClipRgn
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION OffsetRgn( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(SINT) :: OffsetRgn ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'OffsetRgn' :: OffsetRgn
      integer(HANDLE) arg1 ! HRGN arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PatBlt( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6)
    USE DFWINTY
      integer(BOOL) :: PatBlt ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PatBlt' :: PatBlt
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
      integer(DWORD) arg6 ! DWORD arg6
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$Pie( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7, &
            arg8, &
            arg9)
    USE DFWINTY
      integer(BOOL) :: MSFWIN$Pie ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'Pie' :: MSFWIN$Pie
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
      integer(SINT) arg6 ! int arg6
      integer(SINT) arg7 ! int arg7
      integer(SINT) arg8 ! int arg8
      integer(SINT) arg9 ! int arg9
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PlayMetaFile( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: PlayMetaFile ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PlayMetaFile' :: PlayMetaFile
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HMETAFILE arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PaintRgn( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: PaintRgn ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PaintRgn' :: PaintRgn
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HRGN arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PolyPolygon( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: PolyPolygon ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PolyPolygon' :: PolyPolygon
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT)  arg2 ! POINT*  arg2
      integer(LPINT)  arg3 ! INT*  arg3
      integer(SINT) arg4 ! int arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PtInRegion( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: PtInRegion ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PtInRegion' :: PtInRegion
      integer(HANDLE) arg1 ! HRGN arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PtVisible( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: PtVisible ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PtVisible' :: PtVisible
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION RectInRegion( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: RectInRegion ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RectInRegion' :: RectInRegion
      integer(HANDLE) arg1 ! HRGN arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_RECT)  arg2 ! RECT*  arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION RectVisible( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: RectVisible ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RectVisible' :: RectVisible
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_RECT)  arg2 ! RECT*  arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$Rectangle( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(BOOL) :: MSFWIN$Rectangle ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'Rectangle' :: MSFWIN$Rectangle
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION RestoreDC( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: RestoreDC ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RestoreDC' :: RestoreDC
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ResetDC( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(HANDLE) :: ResetDC ! HDC
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ResetDCA' :: ResetDC
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_DEVMODE)  arg2 ! DEVMODEA*  arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION RealizePalette( &
            arg1)
    USE DFWINTY
      integer(UINT) :: RealizePalette ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RealizePalette' :: RealizePalette
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION RemoveFontResource( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: RemoveFontResource ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RemoveFontResourceA' :: RemoveFontResource
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      character*(*) arg1 ! LPCSTR arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION RoundRect( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7)
    USE DFWINTY
      integer(BOOL) :: RoundRect ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'RoundRect' :: RoundRect
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
      integer(SINT) arg6 ! int arg6
      integer(SINT) arg7 ! int arg7
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ResizePalette( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: ResizePalette ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ResizePalette' :: ResizePalette
      integer(HANDLE) arg1 ! HPALETTE arg1
      integer(UINT) arg2 ! UINT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SaveDC( &
            arg1)
    USE DFWINTY
      integer(SINT) :: SaveDC ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SaveDC' :: SaveDC
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SelectClipRgn( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: SelectClipRgn ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SelectClipRgn' :: SelectClipRgn
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HRGN arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ExtSelectClipRgn( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(SINT) :: ExtSelectClipRgn ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ExtSelectClipRgn' :: ExtSelectClipRgn
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HRGN arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetMetaRgn( &
            arg1)
    USE DFWINTY
      integer(SINT) :: SetMetaRgn ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetMetaRgn' :: SetMetaRgn
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SelectObject( &
            arg1, &
            arg2)
    USE DFWINTY
     integer(LPVOID):: SelectObject ! HGDIOBJ
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SelectObject' :: SelectObject
      integer(HANDLE) arg1 ! HDC arg1
    !DxExCx$ ATTRIBUTES REFERENCE, IGNORE_LOC :: arg2
      integer(HANDLE) arg2 ! HGDIOBJ arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$SelectPalette( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(HANDLE) :: MSFWIN$SelectPalette ! HPALETTE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SelectPalette' :: MSFWIN$SelectPalette
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HPALETTE arg2
      integer(BOOL) arg3 ! BOOL arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$SetBkColor( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(ULONG) :: MSFWIN$SetBkColor ! COLORREF
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetBkColor' :: MSFWIN$SetBkColor
      integer(HANDLE) arg1 ! HDC arg1
      integer(ULONG) arg2 ! COLORREF arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetBkMode( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: SetBkMode ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetBkMode' :: SetBkMode
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetBitmapBits( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(LONG) :: SetBitmapBits ! LONG
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetBitmapBits' :: SetBitmapBits
      integer(HANDLE) arg1 ! HBITMAP arg1
      integer(DWORD) arg2 ! DWORD arg2
      integer(PVOID)  arg3 ! void*  arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetBoundsRect( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(UINT) :: SetBoundsRect ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetBoundsRect' :: SetBoundsRect
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_RECT)  arg2 ! RECT*  arg2
      integer(UINT) arg3 ! UINT arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetDIBits( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7)
    USE DFWINTY
      integer(SINT) :: SetDIBits ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetDIBits' :: SetDIBits
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HBITMAP arg2
      integer(UINT) arg3 ! UINT arg3
      integer(UINT) arg4 ! UINT arg4
      integer(PVOID)  arg5 ! void*  arg5
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg6
      TYPE (T_BITMAPINFO)  arg6 ! BITMAPINFO*  arg6
      integer(UINT) arg7 ! UINT arg7
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetDIBitsToDevice( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7, &
            arg8, &
            arg9, &
            arg10, &
            arg11, &
            arg12)
    USE DFWINTY
      integer(SINT) :: SetDIBitsToDevice ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetDIBitsToDevice' :: SetDIBitsToDevice
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(DWORD) arg4 ! DWORD arg4
      integer(DWORD) arg5 ! DWORD arg5
      integer(SINT) arg6 ! int arg6
      integer(SINT) arg7 ! int arg7
      integer(UINT) arg8 ! UINT arg8
      integer(UINT) arg9 ! UINT arg9
      integer(PVOID)  arg10 ! void*  arg10
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg11
      TYPE (T_BITMAPINFO)  arg11 ! BITMAPINFO*  arg11
      integer(UINT) arg12 ! UINT arg12
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetMapperFlags( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(DWORD) :: SetMapperFlags ! DWORD
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetMapperFlags' :: SetMapperFlags
      integer(HANDLE) arg1 ! HDC arg1
      integer(DWORD) arg2 ! DWORD arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetGraphicsMode( &
            hdc, &
            iMode)
    USE DFWINTY
      integer(SINT) :: SetGraphicsMode ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetGraphicsMode' :: SetGraphicsMode
      integer(HANDLE) hdc ! HDC hdc
      integer(SINT) iMode ! int iMode
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetMapMode( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: SetMapMode ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetMapMode' :: SetMapMode
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
     END FUNCTION
    END INTERFACE
!DEC$ IF DEFINED( _M_IA64)
    INTERFACE 
    FUNCTION SetLayout( &
          arg1, &
          arg2)
    USE DFWINTY
    integer(DWORD) :: SetLayout ! DWORD
      !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetLayout' :: SetLayout
     integer(HANDLE) arg1 ! HDC arg1
     integer(DWORD) arg2 ! DWORD arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetLayout( &
          arg1)
    USE DFWINTY
      integer(DWORD) :: GetLayout ! DWORD
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetLayout' :: GetLayout
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
!DEC$ ENDIF 
 INTERFACE 
    FUNCTION SetMetaFileBitsEx( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(HANDLE) :: SetMetaFileBitsEx ! HMETAFILE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetMetaFileBitsEx' :: SetMetaFileBitsEx
      integer(UINT) arg1 ! UINT arg1
      integer(LPBYTE)  arg2 ! BYTE*  arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetPaletteEntries( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(UINT) :: SetPaletteEntries ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetPaletteEntries' :: SetPaletteEntries
      integer(HANDLE) arg1 ! HPALETTE arg1
      integer(UINT) arg2 ! UINT arg2
      integer(UINT) arg3 ! UINT arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_PALETTEENTRY)  arg4 ! PALETTEENTRY*  arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$SetPixel( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(ULONG) :: MSFWIN$SetPixel ! COLORREF
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetPixel' :: MSFWIN$SetPixel
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(ULONG) arg4 ! COLORREF arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetPixelV( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: SetPixelV ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetPixelV' :: SetPixelV
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(ULONG) arg4 ! COLORREF arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetPixelFormat( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: SetPixelFormat ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetPixelFormat' :: SetPixelFormat
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      TYPE (T_PIXELFORMATDESCRIPTOR)  arg3 ! PIXELFORMATDESCRIPTOR*  arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetPolyFillMode( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: SetPolyFillMode ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetPolyFillMode' :: SetPolyFillMode
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION StretchBlt( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7, &
            arg8, &
            arg9, &
            arg10, &
            arg11)
    USE DFWINTY
      integer(BOOL) :: StretchBlt ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'StretchBlt' :: StretchBlt
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
      integer(HANDLE) arg6 ! HDC arg6
      integer(SINT) arg7 ! int arg7
      integer(SINT) arg8 ! int arg8
      integer(SINT) arg9 ! int arg9
      integer(SINT) arg10 ! int arg10
      integer(DWORD) arg11 ! DWORD arg11
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetRectRgn( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(BOOL) :: SetRectRgn ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetRectRgn' :: SetRectRgn
      integer(HANDLE) arg1 ! HRGN arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION StretchDIBits( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7, &
            arg8, &
            arg9, &
            arg10, &
            arg11, &
            arg12, &
            arg13)
    USE DFWINTY
      integer(SINT) :: StretchDIBits ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'StretchDIBits' :: StretchDIBits
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
      integer(SINT) arg6 ! int arg6
      integer(SINT) arg7 ! int arg7
      integer(SINT) arg8 ! int arg8
      integer(SINT) arg9 ! int arg9
      integer(PVOID)  arg10 ! void*  arg10
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg11
      TYPE (T_BITMAPINFO)  arg11 ! BITMAPINFO*  arg11
      integer(UINT) arg12 ! UINT arg12
      integer(DWORD) arg13 ! DWORD arg13
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetROP2( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: SetROP2 ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetROP2' :: SetROP2
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetStretchBltMode( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: SetStretchBltMode ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetStretchBltMode' :: SetStretchBltMode
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetSystemPaletteUse( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(UINT) :: SetSystemPaletteUse ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetSystemPaletteUse' :: SetSystemPaletteUse
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetTextCharacterExtra( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: SetTextCharacterExtra ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetTextCharacterExtra' :: SetTextCharacterExtra
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$SetTextColor( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(ULONG) :: MSFWIN$SetTextColor ! COLORREF
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetTextColor' :: MSFWIN$SetTextColor
      integer(HANDLE) arg1 ! HDC arg1
      integer(ULONG) arg2 ! COLORREF arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetTextAlign( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(UINT) :: SetTextAlign ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetTextAlign' :: SetTextAlign
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetTextJustification( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: SetTextJustification ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetTextJustification' :: SetTextJustification
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION UpdateColors( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: UpdateColors ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UpdateColors' :: UpdateColors
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PlayMetaFileRecord( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: PlayMetaFileRecord ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PlayMetaFileRecord' :: PlayMetaFileRecord
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: arg2
      TYPE (T_HANDLETABLE) arg2 ! LPHANDLETABLE arg2
    !DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC :: arg3
      TYPE (T_METARECORD)  arg3 ! LPMETARECORD arg3
      integer(UINT) arg4 ! UINT arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION EnumMetaFile( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: EnumMetaFile ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumMetaFile' :: EnumMetaFile
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HMETAFILE arg2
      integer(LPVOID) arg3 ! MFENUMPROC arg3
      integer(LONG_PTR) arg4 ! LPARAM arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CloseEnhMetaFile( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CloseEnhMetaFile ! HENHMETAFILE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CloseEnhMetaFile' :: CloseEnhMetaFile
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CopyEnhMetaFile( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(HANDLE) :: CopyEnhMetaFile ! HENHMETAFILE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CopyEnhMetaFileA' :: CopyEnhMetaFile
      integer(HANDLE) arg1 ! HENHMETAFILE arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPCSTR arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateEnhMetaFile( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(HANDLE) :: CreateEnhMetaFile ! HDC
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateEnhMetaFileA' :: CreateEnhMetaFile
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPCSTR arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      TYPE (T_RECT)  arg3 ! RECT*  arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      character*(*) arg4 ! LPCSTR arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION DeleteEnhMetaFile( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: DeleteEnhMetaFile ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DeleteEnhMetaFile' :: DeleteEnhMetaFile
      integer(HANDLE) arg1 ! HENHMETAFILE arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION EnumEnhMetaFile( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(BOOL) :: EnumEnhMetaFile ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumEnhMetaFile' :: EnumEnhMetaFile
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HENHMETAFILE arg2
      integer(LPVOID) arg3 ! ENHMFENUMPROC arg3
      integer(LPVOID) arg4 ! LPVOID arg4
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg5
      TYPE (T_RECT)  arg5 ! RECT*  arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetEnhMetaFile( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: GetEnhMetaFile ! HENHMETAFILE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetEnhMetaFileA' :: GetEnhMetaFile
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      character*(*) arg1 ! LPCSTR arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetEnhMetaFileBits( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(UINT) :: GetEnhMetaFileBits ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetEnhMetaFileBits' :: GetEnhMetaFileBits
      integer(HANDLE) arg1 ! HENHMETAFILE arg1
      integer(UINT) arg2 ! UINT arg2
      integer(LPBYTE) arg3 ! LPBYTE arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetEnhMetaFileDescription( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(UINT) :: GetEnhMetaFileDescription ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetEnhMetaFileDescriptionA' :: GetEnhMetaFileDescription
      integer(HANDLE) arg1 ! HENHMETAFILE arg1
      integer(UINT) arg2 ! UINT arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      character*(*) arg3 ! LPSTR arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetEnhMetaFileHeader( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(UINT) :: GetEnhMetaFileHeader ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetEnhMetaFileHeader' :: GetEnhMetaFileHeader
      integer(HANDLE) arg1 ! HENHMETAFILE arg1
      integer(UINT) arg2 ! UINT arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      TYPE (T_ENHMETAHEADER) arg3 ! LPENHMETAHEADER arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetEnhMetaFilePaletteEntries( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(UINT) :: GetEnhMetaFilePaletteEntries ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetEnhMetaFilePaletteEntries' :: GetEnhMetaFilePaletteEntries
      integer(HANDLE) arg1 ! HENHMETAFILE arg1
      integer(UINT) arg2 ! UINT arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      TYPE (T_PALETTEENTRY) arg3 ! LPPALETTEENTRY arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetEnhMetaFilePixelFormat( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(UINT) :: GetEnhMetaFilePixelFormat ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetEnhMetaFilePixelFormat' :: GetEnhMetaFilePixelFormat
      integer(HANDLE) arg1 ! HENHMETAFILE arg1
      integer(UINT) arg2 ! UINT arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      TYPE (T_PIXELFORMATDESCRIPTOR)  arg3 ! PIXELFORMATDESCRIPTOR*  arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetWinMetaFileBits( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(UINT) :: GetWinMetaFileBits ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWinMetaFileBits' :: GetWinMetaFileBits
      integer(HANDLE) arg1 ! HENHMETAFILE arg1
      integer(UINT) arg2 ! UINT arg2
      integer(LPBYTE) arg3 ! LPBYTE arg3
      integer(SINT) arg4 ! INT arg4
      integer(HANDLE) arg5 ! HDC arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PlayEnhMetaFile( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: PlayEnhMetaFile ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PlayEnhMetaFile' :: PlayEnhMetaFile
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HENHMETAFILE arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      TYPE (T_RECT)  arg3 ! RECT*  arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PlayEnhMetaFileRecord( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: PlayEnhMetaFileRecord ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PlayEnhMetaFileRecord' :: PlayEnhMetaFileRecord
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: arg2
      TYPE (T_HANDLETABLE) arg2 ! LPHANDLETABLE arg2
    !DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: arg3
      TYPE (T_ENHMETARECORD)  arg3 ! ENHMETARECORD*  arg3
      integer(UINT) arg4 ! UINT arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetEnhMetaFileBits( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(HANDLE) :: SetEnhMetaFileBits ! HENHMETAFILE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetEnhMetaFileBits' :: SetEnhMetaFileBits
      integer(UINT) arg1 ! UINT arg1
      integer(LPBYTE)  arg2 ! BYTE*  arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetWinMetaFileBits( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(HANDLE) :: SetWinMetaFileBits ! HENHMETAFILE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWinMetaFileBits' :: SetWinMetaFileBits
      integer(UINT) arg1 ! UINT arg1
      integer(LPBYTE)  arg2 ! BYTE*  arg2
      integer(HANDLE) arg3 ! HDC arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_METAFILEPICT)  arg4 ! METAFILEPICT*  arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GdiComment( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: GdiComment ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GdiComment' :: GdiComment
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
      integer(LPBYTE)  arg3 ! BYTE*  arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetTextMetrics( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetTextMetrics ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetTextMetricsA' :: GetTextMetrics
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_TEXTMETRIC) arg2 ! LPTEXTMETRICA arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION AngleArc( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6)
    USE DFWINTY
      integer(BOOL) :: AngleArc ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'AngleArc' :: AngleArc
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(DWORD) arg4 ! DWORD arg4
      real(SFLOAT) arg5 ! FLOAT arg5
      real(SFLOAT) arg6 ! FLOAT arg6
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PolyPolyline( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: PolyPolyline ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PolyPolyline' :: PolyPolyline
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT)  arg2 ! POINT*  arg2
      integer(LPDWORD)  arg3 ! DWORD*  arg3
      integer(DWORD) arg4 ! DWORD arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetWorldTransform( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetWorldTransform ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetWorldTransform' :: GetWorldTransform
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_XFORM) arg2 ! LPXFORM arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetWorldTransform( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: SetWorldTransform ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWorldTransform' :: SetWorldTransform
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_XFORM)  arg2 ! XFORM*  arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ModifyWorldTransform( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: ModifyWorldTransform ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ModifyWorldTransform' :: ModifyWorldTransform
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_XFORM)  arg2 ! XFORM*  arg2
      integer(DWORD) arg3 ! DWORD arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CombineTransform( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: CombineTransform ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CombineTransform' :: CombineTransform
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_XFORM) arg1 ! LPXFORM arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_XFORM)  arg2 ! XFORM*  arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      TYPE (T_XFORM)  arg3 ! XFORM*  arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateDIBSection( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6)
    USE DFWINTY
      integer(HANDLE) :: CreateDIBSection ! HBITMAP
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateDIBSection' :: CreateDIBSection
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE :: arg2
      TYPE (T_BITMAPINFO)  arg2 ! BITMAPINFO*  arg2
      integer(UINT) arg3 ! UINT arg3
    !DEC$ ATTRIBUTES REFERENCE :: arg4
      integer(PVOID) arg4 ! void* * arg4
      integer(HANDLE) arg5 ! HANDLE arg5
      integer(DWORD) arg6 ! DWORD arg6
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetDIBColorTable( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(UINT) :: GetDIBColorTable ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDIBColorTable' :: GetDIBColorTable
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
      integer(UINT) arg3 ! UINT arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_RGBQUAD)  arg4 ! RGBQUAD*  arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetDIBColorTable( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(UINT) :: SetDIBColorTable ! UINT
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetDIBColorTable' :: SetDIBColorTable
      integer(HANDLE) arg1 ! HDC arg1
      integer(UINT) arg2 ! UINT arg2
      integer(UINT) arg3 ! UINT arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_RGBQUAD)  arg4 ! RGBQUAD*  arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetColorAdjustment( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: SetColorAdjustment ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetColorAdjustment' :: SetColorAdjustment
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_COLORADJUSTMENT)  arg2 ! COLORADJUSTMENT*  arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetColorAdjustment( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetColorAdjustment ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetColorAdjustment' :: GetColorAdjustment
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_COLORADJUSTMENT) arg2 ! LPCOLORADJUSTMENT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateHalftonePalette( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CreateHalftonePalette ! HPALETTE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateHalftonePalette' :: CreateHalftonePalette
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION StartDoc( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: StartDoc ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'StartDocA' :: StartDoc
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_DOCINFO)  arg2 ! DOCINFOA*  arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION EndDoc( &
            arg1)
    USE DFWINTY
      integer(SINT) :: EndDoc ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EndDoc' :: EndDoc
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION StartPage( &
            arg1)
    USE DFWINTY
      integer(SINT) :: StartPage ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'StartPage' :: StartPage
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION EndPage( &
            arg1)
    USE DFWINTY
      integer(SINT) :: EndPage ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EndPage' :: EndPage
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION AbortDoc( &
            arg1)
    USE DFWINTY
      integer(SINT) :: AbortDoc ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'AbortDoc' :: AbortDoc
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetAbortProc( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: SetAbortProc ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetAbortProc' :: SetAbortProc
      integer(HANDLE) arg1 ! HDC arg1
      integer(LPVOID) arg2 ! ABORTPROC arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION AbortPath( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: AbortPath ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'AbortPath' :: AbortPath
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ArcTo( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7, &
            arg8, &
            arg9)
    USE DFWINTY
      integer(BOOL) :: ArcTo ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ArcTo' :: ArcTo
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
      integer(SINT) arg6 ! int arg6
      integer(SINT) arg7 ! int arg7
      integer(SINT) arg8 ! int arg8
      integer(SINT) arg9 ! int arg9
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION BeginPath( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: BeginPath ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'BeginPath' :: BeginPath
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CloseFigure( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: CloseFigure ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CloseFigure' :: CloseFigure
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION EndPath( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: EndPath ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EndPath' :: EndPath
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION FillPath( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: FillPath ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FillPath' :: FillPath
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION FlattenPath( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: FlattenPath ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FlattenPath' :: FlattenPath
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetPath( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(SINT) :: GetPath ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetPath' :: GetPath
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT) arg2 ! LPPOINT arg2
      integer(LPBYTE) arg3 ! LPBYTE arg3
      integer(SINT) arg4 ! int arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PathToRegion( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: PathToRegion ! HRGN
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PathToRegion' :: PathToRegion
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PolyDraw( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: PolyDraw ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PolyDraw' :: PolyDraw
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT)  arg2 ! POINT*  arg2
      integer(LPBYTE)  arg3 ! BYTE*  arg3
      integer(SINT) arg4 ! int arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SelectClipPath( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: SelectClipPath ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SelectClipPath' :: SelectClipPath
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetArcDirection( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: SetArcDirection ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetArcDirection' :: SetArcDirection
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetMiterLimit( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: SetMiterLimit ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetMiterLimit' :: SetMiterLimit
      integer(HANDLE) arg1 ! HDC arg1
      real(SFLOAT) arg2 ! FLOAT arg2
    !DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC :: arg3
      real(SFLOAT) arg3 ! PFLOAT arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION StrokeAndFillPath( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: StrokeAndFillPath ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'StrokeAndFillPath' :: StrokeAndFillPath
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION StrokePath( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: StrokePath ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'StrokePath' :: StrokePath
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION WidenPath( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: WidenPath ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'WidenPath' :: WidenPath
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ExtCreatePen( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(HANDLE) :: ExtCreatePen ! HPEN
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ExtCreatePen' :: ExtCreatePen
      integer(DWORD) arg1 ! DWORD arg1
      integer(DWORD) arg2 ! DWORD arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      TYPE (T_LOGBRUSH)  arg3 ! LOGBRUSH*  arg3
      integer(DWORD) arg4 ! DWORD arg4
      integer(LPDWORD)  arg5 ! DWORD*  arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetMiterLimit( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetMiterLimit ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetMiterLimit' :: GetMiterLimit
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC :: arg2
      real(SFLOAT) arg2 ! PFLOAT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetArcDirection( &
            arg1)
    USE DFWINTY
      integer(SINT) :: GetArcDirection ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetArcDirection' :: GetArcDirection
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetObject( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(SINT) :: GetObject ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetObjectA' :: GetObject
    !DxExC$ ATTRIBUTES REFERENCE, IGNORE_LOC :: arg1
      integer(HANDLE) arg1 ! HGDIOBJ arg1
      integer(SINT) arg2 ! int arg2
      integer(LPVOID) arg3 ! LPVOID arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MoveToEx( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: MoveToEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'MoveToEx' :: MoveToEx
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_POINT) arg4 ! LPPOINT arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION TextOut( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5)
    USE DFWINTY
      integer(BOOL) :: TextOut ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'TextOutA' :: TextOut
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      character*(*) arg4 ! LPCSTR arg4
      integer(SINT) arg5 ! int arg5
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ExtTextOut( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6, &
            arg7, &
            arg8)
    USE DFWINTY
      integer(BOOL) :: ExtTextOut ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ExtTextOutA' :: ExtTextOut
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(UINT) arg4 ! UINT arg4
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg5
      TYPE (T_RECT)  arg5 ! RECT*  arg5
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg6
      character*(*) arg6 ! LPCSTR arg6
      integer(UINT) arg7 ! UINT arg7
      integer(LPINT)  arg8 ! INT*  arg8
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PolyTextOut( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: PolyTextOut ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PolyTextOutA' :: PolyTextOut
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POLYTEXT)  arg2 ! POLYTEXTA*  arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreatePolygonRgn( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(HANDLE) :: CreatePolygonRgn ! HRGN
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreatePolygonRgn' :: CreatePolygonRgn
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_POINT)  arg1 ! POINT*  arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION DPtoLP( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: DPtoLP ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DPtoLP' :: DPtoLP
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT) arg2 ! LPPOINT arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION LPtoDP( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: LPtoDP ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'LPtoDP' :: LPtoDP
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT) arg2 ! LPPOINT arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION MSFWIN$Polygon( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: MSFWIN$Polygon ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'Polygon' :: MSFWIN$Polygon
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT)  arg2 ! POINT*  arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION Polyline( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: Polyline ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'Polyline' :: Polyline
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT)  arg2 ! POINT*  arg2
      integer(SINT) arg3 ! int arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PolyBezier( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: PolyBezier ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PolyBezier' :: PolyBezier
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT)  arg2 ! POINT*  arg2
      integer(DWORD) arg3 ! DWORD arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PolyBezierTo( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: PolyBezierTo ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PolyBezierTo' :: PolyBezierTo
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT)  arg2 ! POINT*  arg2
      integer(DWORD) arg3 ! DWORD arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION PolylineTo( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: PolylineTo ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'PolylineTo' :: PolylineTo
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT)  arg2 ! POINT*  arg2
      integer(DWORD) arg3 ! DWORD arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetViewportExtEx( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: SetViewportExtEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetViewportExtEx' :: SetViewportExtEx
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_SIZE) arg4 ! LPSIZE arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetViewportOrgEx( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: SetViewportOrgEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetViewportOrgEx' :: SetViewportOrgEx
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_POINT) arg4 ! LPPOINT arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetWindowExtEx( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: SetWindowExtEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWindowExtEx' :: SetWindowExtEx
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_SIZE) arg4 ! LPSIZE arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetWindowOrgEx( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: SetWindowOrgEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetWindowOrgEx' :: SetWindowOrgEx
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_POINT) arg4 ! LPPOINT arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION OffsetViewportOrgEx( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: OffsetViewportOrgEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'OffsetViewportOrgEx' :: OffsetViewportOrgEx
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_POINT) arg4 ! LPPOINT arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION OffsetWindowOrgEx( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: OffsetWindowOrgEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'OffsetWindowOrgEx' :: OffsetWindowOrgEx
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_POINT) arg4 ! LPPOINT arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ScaleViewportExtEx( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6)
    USE DFWINTY
      integer(BOOL) :: ScaleViewportExtEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ScaleViewportExtEx' :: ScaleViewportExtEx
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg6
      TYPE (T_SIZE) arg6 ! LPSIZE arg6
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ScaleWindowExtEx( &
            arg1, &
            arg2, &
            arg3, &
            arg4, &
            arg5, &
            arg6)
    USE DFWINTY
      integer(BOOL) :: ScaleWindowExtEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ScaleWindowExtEx' :: ScaleWindowExtEx
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
      integer(SINT) arg4 ! int arg4
      integer(SINT) arg5 ! int arg5
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg6
      TYPE (T_SIZE) arg6 ! LPSIZE arg6
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetBitmapDimensionEx( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: SetBitmapDimensionEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetBitmapDimensionEx' :: SetBitmapDimensionEx
      integer(HANDLE) arg1 ! HBITMAP arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_SIZE) arg4 ! LPSIZE arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetBrushOrgEx( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: SetBrushOrgEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetBrushOrgEx' :: SetBrushOrgEx
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg4
      TYPE (T_POINT) arg4 ! LPPOINT arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetTextFace( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(SINT) :: GetTextFace ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetTextFaceA' :: GetTextFace
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      character*(*) arg3 ! LPSTR arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetKerningPairs( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(DWORD) :: GetKerningPairs ! DWORD
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetKerningPairsA' :: GetKerningPairs
      integer(HANDLE) arg1 ! HDC arg1
      integer(DWORD) arg2 ! DWORD arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      TYPE (T_KERNINGPAIR) arg3 ! LPKERNINGPAIR arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetDCOrgEx( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetDCOrgEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDCOrgEx' :: GetDCOrgEx
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_POINT) arg2 ! LPPOINT arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION FixBrushOrgEx( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: FixBrushOrgEx ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'FixBrushOrgEx' :: FixBrushOrgEx
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
      integer(SINT) arg3 ! int arg3
    !DEC$ ATTRIBUTES REFERENCE, IGNORE_LOC, ALLOW_NULL :: arg4
      TYPE (T_POINT) arg4 ! LPPOINT arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION UnrealizeObject( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: UnrealizeObject ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UnrealizeObject' :: UnrealizeObject
    !DxExCx$ ATTRIBUTES REFERENCE, IGNORE_LOC :: arg1
      integer(HANDLE) arg1 ! HGDIOBJ arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GdiFlush( & 
                 )
    USE DFWINTY
      integer(BOOL) :: GdiFlush ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GdiFlush' :: GdiFlush
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GdiSetBatchLimit( &
            arg1)
    USE DFWINTY
      integer(DWORD) :: GdiSetBatchLimit ! DWORD
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GdiSetBatchLimit' :: GdiSetBatchLimit
      integer(DWORD) arg1 ! DWORD arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GdiGetBatchLimit( &
                 )
    USE DFWINTY
      integer(DWORD) :: GdiGetBatchLimit ! DWORD
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GdiGetBatchLimit' :: GdiGetBatchLimit
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetICMMode( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(SINT) :: SetICMMode ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetICMMode' :: SetICMMode
      integer(HANDLE) arg1 ! HDC arg1
      integer(SINT) arg2 ! int arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CheckColorsInGamut( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: CheckColorsInGamut ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CheckColorsInGamut' :: CheckColorsInGamut
      integer(HANDLE) arg1 ! HDC arg1
      integer(LPVOID) arg2 ! LPVOID arg2
      integer(LPVOID) arg3 ! LPVOID arg3
      integer(DWORD) arg4 ! DWORD arg4
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetColorSpace( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: GetColorSpace ! HCOLORSPACE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetColorSpace' :: GetColorSpace
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetLogColorSpace( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: GetLogColorSpace ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetLogColorSpaceA' :: GetLogColorSpace
      integer(HANDLE) arg1 ! HCOLORSPACE arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      TYPE (T_LOGCOLORSPACE) arg2 ! LPLOGCOLORSPACEA arg2
      integer(DWORD) arg3 ! DWORD arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION CreateColorSpace( &
            arg1)
    USE DFWINTY
      integer(HANDLE) :: CreateColorSpace ! HCOLORSPACE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'CreateColorSpaceA' :: CreateColorSpace
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg1
      TYPE (T_LOGCOLORSPACE) arg1 ! LPLOGCOLORSPACEA arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetColorSpace( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(HANDLE) :: SetColorSpace ! HCOLORSPACE
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetColorSpace' :: SetColorSpace
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HCOLORSPACE arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION DeleteColorSpace( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: DeleteColorSpace ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'DeleteColorSpace' :: DeleteColorSpace
      integer(HANDLE) arg1 ! HCOLORSPACE arg1
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetICMProfile( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: GetICMProfile ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetICMProfileA' :: GetICMProfile
      integer(HANDLE) arg1 ! HDC arg1
      integer(LPDWORD) arg2 ! LPDWORD arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      character*(*) arg3 ! LPSTR arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetICMProfile( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: SetICMProfile ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetICMProfileA' :: SetICMProfile
      integer(HANDLE) arg1 ! HDC arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPSTR arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION GetDeviceGammaRamp( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: GetDeviceGammaRamp ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'GetDeviceGammaRamp' :: GetDeviceGammaRamp
      integer(HANDLE) arg1 ! HDC arg1
      integer(LPVOID) arg2 ! LPVOID arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION SetDeviceGammaRamp( &
            arg1, &
            arg2)
    USE DFWINTY
      integer(BOOL) :: SetDeviceGammaRamp ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SetDeviceGammaRamp' :: SetDeviceGammaRamp
      integer(HANDLE) arg1 ! HDC arg1
      integer(LPVOID) arg2 ! LPVOID arg2
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION ColorMatchToTarget( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(BOOL) :: ColorMatchToTarget ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ColorMatchToTarget' :: ColorMatchToTarget
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HDC arg2
      integer(DWORD) arg3 ! DWORD arg3
     END FUNCTION
    END INTERFACE
    INTERFACE 
    FUNCTION EnumICMProfiles( &
            arg1, &
            arg2, &
            arg3)
    USE DFWINTY
      integer(SINT) :: EnumICMProfiles ! int
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'EnumICMProfilesA' :: EnumICMProfiles
      integer(HANDLE) arg1 ! HDC arg1
      integer(LPVOID) arg2 ! ICMENUMPROCA arg2
      integer(LONG_PTR) arg3 ! LPARAM arg3
     END FUNCTION
    END INTERFACE
    INTERFACE UpdateICMRegKey
    FUNCTION UpdateICMRegKey_G1( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: UpdateICMRegKey_G1 ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UpdateICMRegKeyA' :: UpdateICMRegKey_G1
      integer(DWORD) arg1 ! DWORD arg1
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg2
      character*(*) arg2 ! LPSTR arg2
    !DEC$ ATTRIBUTES REFERENCE, ALLOW_NULL :: arg3
      character*(*) arg3 ! LPSTR arg3
      integer(UINT) arg4 ! UINT arg4
     END FUNCTION
    FUNCTION UpdateICMRegKey_G2( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: UpdateICMRegKey_G2 ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'UpdateICMRegKeyA' :: UpdateICMRegKey_G2
      integer(DWORD) arg1 ! DWORD arg1
      integer(LPVOID) arg2 ! LPSTR arg2
      integer(LPVOID) arg3 ! LPSTR arg3
      integer(UINT) arg4 ! UINT arg4
     END FUNCTION
    END INTERFACE
!DEC$ IF DEFINED( _M_IA64)
    INTERFACE 
    FUNCTION ColorCorrectPalette( &
            arg1, &
            arg2, &
            arg3, &
            arg4)
    USE DFWINTY
      integer(BOOL) :: ColorCorrectPalette ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'ColorCorrectPalette' :: ColorCorrectPalette
      integer(HANDLE) arg1 ! HDC arg1
      integer(HANDLE) arg2 ! HPALETTE arg2
      integer(DWORD) arg3 ! DWORD arg3
      integer(DWORD) arg4 ! DWORD arg4
     END FUNCTION
    END INTERFACE
!DEC$ ENDIF
    INTERFACE 
    FUNCTION SwapBuffers( &
            arg1)
    USE DFWINTY
      integer(BOOL) :: SwapBuffers ! BOOL
        !DEC$ ATTRIBUTES DEFAULT, STDCALL, DECORATE, ALIAS:'SwapBuffers' :: SwapBuffers
      integer(HANDLE) arg1 ! HDC arg1
     END FUNCTION
    END INTERFACE
!
end module gdi32
!
!DEC$ ENDIF ! /* GDI32_ */
